//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#ifndef BOT_PATHFINDER_H
#define BOT_PATHFINDER_H
#ifdef _WIN32
#pragma once
#endif

#include "bot/bot.h"

class CNavArea;

class CBotPathfinder : public CBotComponent
{
	typedef CBotComponent BaseClass;
public:
	CBotPathfinder( CBot *pOuter );	

	void BuildNavRoute( CNavArea *startArea, CNavArea *goalArea, const Vector &from, Navigation_t curNavType );
	bool FindPath( Vector goal );
	bool GetNextWayPoint( Vector &waypoint );

private:
	CUtlVector<Vector> m_Waypoints;
};


#endif // BOT_PATHFINDER_H
